const request = require('supertest');
const { expect } = require('chai');
const app = require('../src/app');

describe('GET /', () => {
  beforeEach(async () => {
    const res = await request(app).get('/');
    this.res = res;
  });

  it('should run the app server', async () => {
    expect(this.res.status).to.equal(200);
  });

  it('should return an HTML response', async () => {
    expect(this.res.headers['content-type']).match(/text\/html/);
  });
});
